Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 637542 - Please block McAfee SiteAdvisor for Firefox4.0
: Please block McAfee SiteAdvisor for Firefox4.0
: relnote
Product: Toolkit
Classification: Components
Component: Blocklisting (show other bugs)
: unspecified
: x86 Windows 7
: -- normal with 6 votes (vote)
: ---
Assigned To: Justin Scott [:fligtar]
: Jorge Villalobos [:jorgev]
: 640066 (view as bug list)
Depends on: 641603
Blocks: 503947 521745 562016 619602 620854 621071 621820 621833 621834 625998 626013 626314 626868 627479 629380 633199 633844 634214 636962 638657 639247 639297 639402 640511 641262 641766 644868 645317 645361 645362
  Show dependency treegraph
Reported: 2011-02-28 17:47 PST by Matthias Versen [:Matti]
Modified: 2016-03-07 15:30 PST (History)
40 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Matthias Versen [:Matti] 2011-02-28 17:47:05 PST
We had many reports during for the FF4 beta builds (b7+) ,that the McAfee SiteAdvisor breaks Firefox4.
The worst problem is a not working UI after startup.

The problem is that I don't have any version information for this broken addon that claims to be compatible with Firefox4 but i requested that information in some bug reports. 

example bugs are : bug 633844, bug 634214, bug 627479, bug 626868, bug 625998, bug 626314
Comment 1 Kev Needham [:kev] 2011-02-28 18:42:12 PST
I had reached out to the Site Advisor team asking them to ensure compatibility a couple months ago and have yet to receive a reply. I'll ping them again and see if they're planning any additional updates, or if they can get their team looking at the bugs.
Comment 2 Mike Beltzner [:beltzner, not reading bugmail] 2011-03-01 10:15:47 PST
Without a version range, what are we intending to blocklist? All McAffee Site Advisor? Seems ... harsh.
Comment 3 Mike Beltzner [:beltzner, not reading bugmail] 2011-03-01 11:31:18 PST
Kev: please renominate once you have a blocklist range!
Comment 4 juan becerra [:juanb] 2011-03-01 11:33:08 PST
Adding relnote to add it to the list of known issues, in case this hasn't been already noted.
Comment 5 Matthias Versen [:Matti] 2011-03-01 14:53:23 PST
From the reporter in bug 626868:
McAfee SiteAdvisor 3.3 false {B7082FAA-CB62-4872-9106-E42DD88EDE45}
Comment 6 Kev Needham [:kev] 2011-03-03 11:44:32 PST
Spoke with McAfee today, and they have a new release they've started to push out. 3.3.1 should be compatible, but I will wait until I have confirmation via email. They hope to have the majority of their userbase updated within 3-4 weeks. Once I have that, I'll specify version range for Fx4 for the BL.
Comment 7 Matthias Versen [:Matti] 2011-03-03 12:28:13 PST
3-4 weeks is too slow.
The browser is just unuseable if I read the reports in bugzilla. I'm not sure if this happens to all McAfee SiteAdvisor Users but it breaks many Firefox 4 installations. The Sumo people also got a number of reports about this issue (bug 626868).
This extension should be blocked before the release of the final version IMHO.
Comment 8 Ed Morley (Away 28th Oct -> 6th Nov) [:emorley] 2011-03-05 05:27:41 PST
Found quite a few more bugs caused by Site Advisor, adding for visibility/to help you work out version ranges.
Comment 9 Ed Morley (Away 28th Oct -> 6th Nov) [:emorley] 2011-03-05 07:58:36 PST
There seems to be quite an increase in issues in the last 5 days:

(Only searched for "mcafee", there are approx 50-100 more comments if you look for variations on the spelling in input)
Comment 10 Nick Lowe 2011-03-06 15:52:49 PST
This very frequently locks up the browser completely with the first RC1 candidate, requiring Firefox to be nuked with the task manager. IMO, this should absolutely block the final release.
Comment 11 Nick Lowe 2011-03-06 15:57:05 PST
To confirm, it was "mcAfee siteadvisor 3.3" that locked up the browser.
Comment 12 Ed Morley (Away 28th Oct -> 6th Nov) [:emorley] 2011-03-06 18:09:56 PST
There are 22 bugs caused by this addon marked as dependants of this one; with more being filed daily (plus those cases being dealt with directly by SUMO). 

I've requested version info where missing, results as follows:

- In all 12 recent bugs where the reporter has responded with version info; all of them are for McAfee Site Advisor version 3.3
- The GUID  has been confirmed as {B7082FAA-CB62-4872-9106-E42DD88EDE45} (in 5 separate bugs)
- In addition, the following older versions experience crashes (bug 521745), so should probably be included in the block range too:

Re-nominating for visibility, per comment 3, now that versions/GUID are known.

Along the lines of comment 7, it is my opinion that the problem is too widespread (22+ bugs filed, more daily) and also too severe (crashes, hangs, unable to even use basic sites like google/yahoo) to wait 3-4 weeks for McAfee to roll out the update to all users.
Comment 13 Mike Beltzner [:beltzner, not reading bugmail] 2011-03-07 05:04:45 PST
Fliggy, can we work up a block based on the above? Looks like we want to block 3.3 and lower, but not 3.3.1 as per previous comments.
Comment 14 Damon Sicore (:damons) 2011-03-07 11:44:36 PST
Adding to blocker list to make sure we add the block before shipping final if they haven't updated.
Comment 15 Asa Dotzler [:asa] 2011-03-07 15:01:35 PST
Kev, can you get more info on how many users will be inconvenienced if we blocklist today vs a week from now? I'm trying to understand when we should pull the lever on this. (I'm of the opinion we block everything pre 3.3.1 that we've got a crashing stack or a bug report on ASAP.)
Comment 16 Justin Scott [:fligtar] 2011-03-07 15:05:18 PST
Kev's out this week. This add-on is the 48th most used add-on in Firefox 4 with over 50,000 beta users. We don't have per-version information.
Comment 17 MozLover 2011-03-07 17:22:27 PST
Is this blocking final release of FireFox 4? and IF Site Advisor Team doesnt care, why should we? Lets block this ineffably maladjusted slattern and a dastardly, stench-emitting spawn of a mad scientist and a disastrous test tube experiment and an irredeemably decadent narcissist and a perverted, coma-inducing mental midget with the natural grace of a swamp rat.
Comment 18 MozLover 2011-03-07 17:23:09 PST
Block This Hard Ass Blocker
Comment 19 MozLover 2011-03-07 17:23:43 PST
They need to **** their way out of it, are they freakish specimen of botched genetics?
Comment 20 orangezilla 2011-03-07 17:52:38 PST
Siteadvisor is completely inferior to Firefox/Google's own StopBadware attack site/forgery blocker and WebofTrust so I wouldn't have many qualms in blocking it. Aside from being ineffective, sites are also encouraged to 'pay for certification' which is most certainly not the case with Web of Trust or Stopbadware. A good opportunity to promote this FF feature I think.
Comment 21 orangezilla 2011-03-07 17:57:32 PST
Hah, backtracking a bit on WOT

Firefox/Google's Stopbadware seems pretty transparent in comparison
Comment 22 Ed Morley (Away 28th Oct -> 6th Nov) [:emorley] 2011-03-09 04:44:28 PST
In bug 621833; the reporter was having consistent hangs with v3.3; that were fixed by updating to ; in case that helps with the upper bound of the block range...
Comment 23 Mike Beltzner [:beltzner, not reading bugmail] 2011-03-09 08:15:49 PST
*** Bug 640066 has been marked as a duplicate of this bug. ***
Comment 24 pal-moz 2011-03-09 15:42:45 PST
> Keywords: relnote

nothing about this issue. why ?
Comment 25 Ian C 2011-03-10 04:01:55 PST
Your relnote won't appear until RC2 if they have another releasenotes page, pal-moz. They don't re-update release notes like that.
Comment 26 christian 2011-03-10 13:44:04 PST
Block info for McAfee Site Advisor:

GUID: {B7082FAA-CB62-4872-9106-E42DD88EDE45}
Type: Hard

Min Firefox version: 3.7a1
Max Firefox version: <<none>>

Min Extension version: <<none>>
Max Extension version: 3.3.0.* (I'm going to be safe and assume all 3.3.1's are fixed even though comment 22 has a specific version known to be good)

Note I am not going to block it on 3.5 and 3.6 (as bug 521745 would suggest) due to not having any modern reports and this bug focusing on FF4 specifically
Comment 27 Justin Scott [:fligtar] 2011-03-10 15:13:17 PST
On staging:
    <emItem id="{B7082FAA-CB62-4872-9106-E42DD88EDE45}">
      <versionRange minVersion="0.1" maxVersion="3.3.0.*">
        <targetApplication id="{ec8030f7-c20a-464f-9b0e-13a3a9e97384}">
           <versionRange minVersion="3.7a1" maxVersion="*"/>
Comment 28 Justin Scott [:fligtar] 2011-03-14 12:19:27 PDT
Has anyone tested this block?
Comment 29 Marcia Knous [:marcia - use ni] 2011-03-14 15:29:15 PDT
I just tested it using Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0) Gecko/20100101 Firefox/4.0 and I did get the block dialog, so it looks good.
Comment 30 Justin Scott [:fligtar] 2011-03-14 15:29:47 PDT
Great, thanks Marcia. As soon as the website update is live we'll block.
Comment 31 Justin Scott [:fligtar] 2011-03-14 15:54:17 PDT
Blocked in production.
Comment 32 zeonis 2011-03-14 23:46:40 PDT
In the blocklist it says versions below 3.3.1 however I have the latest version installed i.e. 3.3.1 and Firefox 4 is blocking it with no way to enable it again.
Comment 33 Ian C 2011-03-15 01:47:58 PDT
They didn't say they would only block that one version.
Comment 34 zeonis 2011-03-15 03:59:01 PDT
I don't think you are understanding... the blocklist says versions BELOW 3.3.1 are the ones that are supposed to be blocked.
Comment 35 Ed Morley (Away 28th Oct -> 6th Nov) [:emorley] 2011-03-15 04:13:54 PDT
I think the problem is that whilst the app/the uninstall entry in control panel reports the version as, the version reported to Firefox via the addons manager is only 3.3.

ie even for the latest version ( from , about support shows:
McAfee SiteAdvisor 3.3 true {B7082FAA-CB62-4872-9106-E42DD88EDE45}

The block was for * < 3.3.1 ; but since the version reported to Fx is 3.3; this is included in the range.
Comment 36 Matthias Versen [:Matti] 2011-03-15 08:00:22 PDT Please enter about:support and copy the whole line from the Siteadvisor (comment #5 contains an example)
Comment 37 Marcia Knous [:marcia - use ni] 2011-03-15 10:12:44 PDT
FWIW, in my Windows 7 Control Panel, it reports the Site Advisor version as 3.3.176 - I downloaded it directly from the site today.
Comment 38 zeonis 2011-03-15 12:25:45 PDT
Should I try installing the newest version which was apparently released today?

Here is from about:support
McAfee SiteAdvisor 3.3 false {B7082FAA-CB62-4872-9106-E42DD88EDE45}
Comment 39 Matthias Versen [:Matti] 2011-03-15 12:56:13 PDT
In that case marking fixed, the block is working as expected.
Someone should contact McAfee that they use an incorrect version number in the install.rdf.
Comment 40 Ian C 2011-03-15 14:17:10 PDT
I'd suggest making the status uneditable by no one except admins from here on. A lot of people 'depend' on commercial anti-malware to help them.
Comment 41 zeonis 2011-03-15 17:43:23 PDT
I am not sure if you are trying to say that I changed the status cause I didn't.
Comment 42 christian 2011-03-15 17:47:32 PDT
I had reopened this for investigation. zeonis, did you install the latest version and was it blocked? If they downgraded their version number that would not be good at all and we may need to alter the block.
Comment 43 zeonis 2011-03-15 17:55:46 PDT
Yes I installed the latest version today and it is still blocked.
Comment 44 Ian F 2011-03-16 01:03:58 PDT
(In reply to comment #42)
> I had reopened this for investigation. zeonis, did you install the latest
> version and was it blocked? If they downgraded their version number that would
> not be good at all and we may need to alter the block.

I have installed the latest version also. Am just wondering why this was totally blocked and not allow users to make the choice to enable/disable the Site Advisor Add-on. It just seems so unfair to those users such as my self who have never had an issue and works well for me and especially for my kids by blocking them from bad sites.
Comment 45 zeonis 2011-03-16 12:12:10 PDT
I sent an e-mail to Site Advisor support around midnight last night explaining the problem and now today they released a new version that correctly displays as 3.3.1 in Firefox so it is no longer blocked.
Comment 46 christian 2011-03-16 14:17:57 PDT
Thanks zeonis!
Comment 47 joelster00 2011-03-21 07:09:42 PDT
(In reply to comment #0)
> We had many reports during for the FF4 beta builds (b7+) ,that the McAfee
> SiteAdvisor breaks Firefox4.
> The worst problem is a not working UI after startup.
> The problem is that I don't have any version information for this broken addon
> that claims to be compatible with Firefox4 but i requested that information in
> some bug reports. 
> example bugs are : bug 633844, bug 634214, bug 627479, bug 626868, bug 625998,
> bug 626314

There are two different SiteAdvisor product families - consumer and enterprise.  You're referencing version numbers for the CONSUMER product, and as a result you're also blocking SiteAdvisor Enterprise product used by corporations, latest version of which is
Comment 48 Matthias Versen [:Matti] 2011-03-21 08:11:49 PDT
That snould not be a problem if they are 2 different product famalies because they should have different UUIDs.
Comment 49 joelster00 2011-03-21 09:30:54 PDT
(In reply to comment #48)
> That snould not be a problem if they are 2 different product famalies because
> they should have different UUIDs.

But it IS a problem - FF4 RC2 is blocking currently ALL versions of SAE below 3.3.1 - and there IS no v3.3x for SAE Enterprise Plus, so it's an erroneous block that needs to be adjusted.  Unless corrected, we'll have to block FF4 from being deployed.
Comment 50 Matthias Versen [:Matti] 2011-03-21 09:49:06 PDT
only the extension with the extension ID "{B7082FAA-CB62-4872-9106-E42DD88EDE45}" is blocked. McAfee doesn't use a different UUID for the different Enterprise product ?

Justin Scott: Could we change the minVersion="0.1" to something like minVersion="3.2" ?
Comment 51 Ed Morley (Away 28th Oct -> 6th Nov) [:emorley] 2011-03-21 10:26:13 PDT
But that would allow the consumer 3.0.x versions which are also known to cause problems, see comment 12.

Surely the onus is on McAfee to actually use UUIDs correctly, ie: if it's a different product, then use a different UUID. 

Also, is it even confirmed that the enterprise version 3.0.x isn't causing the same problems as the consumer one was with Fx4?
Comment 52 Ed Morley (Away 28th Oct -> 6th Nov) [:emorley] 2011-03-29 04:50:27 PDT
There have been reports of McAfee SiteAdvisor 3.3.1 still causing problems:
eg Bug 645317 and bug 645362

Comment 53 Ed Morley (Away 28th Oct -> 6th Nov) [:emorley] 2011-03-29 05:04:59 PDT
Two more for 3.3.1: Bug 645361 and bug 641766.
Comment 54 Matthias Versen [:Matti] 2011-03-29 06:10:41 PDT
I'm not sure if it would be better to create a new bug.
The really huge problem with a not working browser after startup is fixed after this block
Comment 55 Andreas Gal :gal 2011-04-12 16:54:56 PDT
This bug needs to be re-triaged. FF4 has been shipped.
Comment 56 Robert Kaiser 2011-04-12 17:14:51 PDT
Actually, I think this should be closed as we did blocklist the affected versions, and it seems like what we still have around is related to malware that stops the McAffee software from working properly if I understood it correctly, see discussions in bug 641766.

And, gal, did you mean to set this directly to Macaw+? And why does a blocklist update block release? We can ship updates to it any time and things won't get worse for people if we don't, will they?

I'm with Matti here and think this one should be closed and potentially another one created for the "new" problems with 3.3.1 to figure out what's going on there.

Another reason for ongoing could be that McAfee actually didn't fix their problems with the update to 3.3.1, do we have a contact with them that can dive into that?
Comment 57 Andreas Gal :gal 2011-04-12 17:16:35 PDT
Please re-file the left-overs. I will clear the blocking flag and close the bug.
Comment 58 Lee Hollimon 2011-05-16 02:47:21 PDT
I had to have McAfee turned off and blocked by my computer installer as it would not let me on the internet.
Comment 59 Connor MacLeod 2011-06-06 15:16:16 PDT
McAfee has different versioning for the Enterprise version of their SiteAdvisor product.  The latest version of SiteAdvisor Enterprise Plus v3.0 is SAE Plus  Has anyone tested with this package?  I'm wondering since Firefox only looks at the version mumber, it is probably thinking that this is a really old version of the free offering.
Comment 60 fipe 2011-06-08 22:24:47 PDT
We have installed McAfee SiteAdvisor Enterprise Plus (Patch3).
But the Plugin is disabled in Firefox 4.0.
According McAfee KB71532 this issue will be resolved in SiteAdvisor Enterprise Plus 3.0 Patch 4, which is expected to be released at the end of July, 2011
Comment 61 Corey 2011-07-29 07:36:26 PDT
I have not been noticing any problems with this addon when I was using FF 4.0 or FF 5.0
Comment 62 hostesscupcake_2003 2011-07-29 21:10:10 PDT
i have not have any problems with with the McAfee add on im upset that i cant use it honestly i wish it would be unblocked!!!
Comment 63 geekgirl1 2011-08-11 09:29:42 PDT
I'm on Windows XP Pro SP3, not Windows 7.  I didn't have issues with it.  Is there a work around for me?  My company requires this add in

Note You need to log in before you can comment on or make changes to this bug.